#include"gui/clpair.h"
#include"gui/strconv.h"



CL_String CL_Pair :: AsString () const
{
  CL_String xs, ys;
  StrConv(ValueX,xs);
  StrConv(ValueX,ys);
  CL_String res = "(";
  res += xs;
  res += ";";
  res += ")";
  return res;
};

long      CL_Pair :: StorableFormWidth () const
{
  return (2*sizeof(double));
};


bool      CL_Pair :: ReadFrom (const CL_Stream&)
{
  //s >> ValueX;
  //s >> ValueY;
  return FALSE;
};


bool      CL_Pair :: WriteTo  (CL_Stream&) const
{
  //s << ValueX;
  //s << ValueY;
  return FALSE;
};


short     CL_Pair :: Compare  (const CL_Pair& p) const
{
  if ((*this) < p)
	  return -1;
  else if ((*this) == p)
			 return 0;
		 else return 1;
};
